%define realname MCAL
%define modname mcal
%define dirname %{modname}
%define soname %{modname}.so
%define inifile 62_%{modname}.ini

Summary:	The %{realname} module for PHP
Name:		php-%{modname}
Version:	0.6
Release:	%mkrel 9
Group:		Development/PHP
License:	PHP License
URL:		http://www.php.net
Source0:	mcal-%{version}.tar.bz2
BuildRequires:  php-devel
BuildRequires:	libmcal-devel
Epoch:		1
BuildRoot:	%{_tmppath}/%{name}-root

%description
This is a dynamic shared object (DSO) that adds MCAL support to PHP.

MCAL stands for Modular Calendar Access Library.
 
Libmcal is a C library for accessing calendars. It's written to be very
modular, with pluggable drivers. MCAL is the calendar equivalent of the IMAP
module for mailboxes.
 
With mcal support, a calendar stream can be opened much like the mailbox stream
with the IMAP support. Calendars can be local file stores, remote ICAP servers,
or other formats that are supported by the mcal library.
 
Calendar events can be pulled up, queried, and stored. There is also support
for calendar triggers (alarms) and recurring events.
 
With libmcal, central calendar servers can be accessed, removing the need for
any specific database or local file programming. 

%prep

%setup -q -n mcal-%{version}

%build

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=%{_prefix}

%make
mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > README.%{modname} << EOF
The %{name} package contains a dynamic shared object (DSO) for PHP. 
To activate it, make sure a file /etc/php.d/%{inifile} is present and
contains the line 'extension = %{soname}'.
EOF

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc README*
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}

%changelog
* Sun Aug 27 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.6-9
- rebuilt for php-5.1.6

* Wed Jul 26 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.6-8mdk
- rebuild

* Fri May 05 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.6-7mdk
- rebuilt for php-5.1.4

* Thu May 04 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.6-6mdk
- rebuilt for php-5.1.3

* Thu Feb 02 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.6-5mdk
- new group (Development/PHP) and iurt rebuild

* Sun Jan 15 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.6-4mdk
- rebuilt against php-5.1.2

* Tue Nov 29 2005 Oden Eriksson <oeriksson@mandriva.com> 1:0.6-3mdk
- rebuilt against php-5.1.1

* Sat Nov 26 2005 Oden Eriksson <oeriksson@mandriva.com> 1:0.6-2mdk
- rebuilt against php-5.1.0

* Thu Nov 03 2005 Oden Eriksson <oeriksson@mandriva.com> 1:0.6-1mdk
- rebuilt against php-5.1.0RC4
- fix versioning

* Sat Oct 29 2005 Oden Eriksson <oeriksson@mandriva.com> 5.1.0_0.6-0.RC1.2mdk
- rebuilt to provide a -debug package too

* Sat Oct 01 2005 Oden Eriksson <oeriksson@mandriva.com> 5.1.0_0.6-0.RC1.1mdk
- rebuilt against php-5.1.0RC1

* Tue Sep 06 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.5_0.6-1mdk
- rebuilt against php-5.0.5 (Major security fixes)

* Tue Aug 30 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4_0.6-2mdk
- make a tar ball from the php4 source, this prevents php4-devel to
  end up in main (pterjan)

* Mon Aug 01 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4_0.6-1mdk
- fix version

* Fri Jul 29 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0-1mdk
- build for php-5.0.4 using the source from php-4.4.0, the 
  changelog for php5 says it is moved to pecl now, but i could 
  not find it...

* Mon Jul 11 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0-1mdk
- rebuilt for php-4.4.0 final

* Tue Jul 05 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0-0.RC2.1mdk
- rebuilt for php-4.4.0RC2

* Tue Jun 14 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0-0.RC1.1mdk
- rebuilt for php-4.4.0RC1

* Thu Jun 02 2005 Oden Eriksson <oeriksson@mandriva.com> 4.3.11-1mdk
- renamed to php4-*

* Sat Apr 16 2005 Oden Eriksson <oeriksson@mandriva.com> 4.3.11-1mdk
- 4.3.11

* Mon Mar 21 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10-4mdk
- use the %%mkrel macro

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10-3mdk
- rebuilt against a non hardened-php aware php lib

* Sat Jan 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10-2mdk
- rebuild due to hardened-php-0.2.6
- cleanups

* Thu Dec 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10-1mdk
- rebuild for php 4.3.10

* Fri Oct 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.9-1mdk
- rebuild for php 4.3.9

* Wed Jul 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.8-1mdk
- rebuilt for php-4.3.8

* Mon Jul 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7-2mdk
- remove redundant provides

* Mon Jun 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7-1mdk
- rebuilt for php-4.3.7

* Sun May 23 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6-1mdk
- move scandir to /etc/php4.d

* Tue Feb 24 2004 Pascal Terjan <pterjan@mandrake.org> 4.3.4-2mdk
- fix doc installation in order to own the dir

* Sun Dec 28 2003 Pascal Terjan <pterjan@mandrake.org> 4.3.4-1mdk
- first mdk version of this module
